#include "connection.h"

Connection::Connection(int id, QTcpSocket *socket, QObject *parent) :
    ClientBase(parent)
{
    m_socket = socket;
    m_id = id;
    connect(m_socket,SIGNAL(readyRead()),this,SLOT(readData()));
    connect(m_socket,SIGNAL(disconnected()),this,SLOT(Disconnection()));
}

